This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426754 - Review Request: ghc-xmonad-contrib - Third party extensions for xmonad
Review Request: ghc-xmonad-contrib - Third party extensions for xmonad
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 426750 426752 426753
Blocks: bluetile
  Show dependency treegraph
 
Reported: 2007-12-25 15:19 EST by Yaakov Nemoy
Modified: 2010-10-10 00:20 EDT (History)
10 users (show)

See Also:
Fixed In Version: 0.8.1-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 20:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
ghc-xmonad-contrib.spec-1.patch (3.52 KB, patch)
2009-08-26 00:32 EDT, Jens Petersen
no flags Details | Diff
more -doc deps (735 bytes, patch)
2009-08-27 12:34 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2007-12-25 15:19:48 EST
Spec URL: http://fedorapeople.org/~ynemoy/xmonad/xmonad-contrib.spec
SRPM URL: http://fedorapeople.org/~ynemoy/xmonad/ghc681-xmonad-contrib-0.5-1.fc8.src.rpm
Description: 
Third party tiling algorithms, configurations and scripts to xmonad,
a tiling window manager for X.

For an introduction to building, configuring and using xmonad
extensions, see "XMonad.Doc". In particular:

"XMonad.Doc.Configuring", a guide to configuring xmonad

"XMonad.Doc.Extending", using the contributed extensions library

"XMonad.Doc.Developing", introduction to xmonad internals and writing
your own extensions.
Comment 1 Jens Petersen 2008-02-12 22:05:57 EST
I guess the naming guidelines need to be fleshed out/discussed on the coming
fedora-haskell-list but the name of the srpm and the spec file must coincide anyway.
Given this is a library, ghc-xmonad-contrib is probably right anyway.

(FWIW I made a package too the other day at home, but forgot to upload it.)
Comment 2 Yaakov Nemoy 2008-07-03 06:17:25 EDT
SPEC: http://ynemoy.fedorapeople.org/repo/xmonad-contrib.spec
SRPM: http://ynemoy.fedorapeople.org/repo/ghc-xmonad-contrib-0.7-1.fc9.src.rpm

This update is compliant with the Draft Guidelines, which are under review. 
Reviewing this will help poke holes in the Guidelines
Comment 3 Yaakov Nemoy 2008-09-02 23:12:09 EDT
SPEC: http://ynemoy.fedorapeople.org/repo/ghc-xmonad-contrib.spec
SRPM: http://ynemoy.fedorapeople.org/repo/ghc-xmonad-contrib-0.7-2.fc9.src.rpm

This is a second example of a library only package.

The macros needed are currently available on the wiki and need to be installed
manually for now.  There is a bug to have them included in ghc directly.  I
will add it to the blockers.  Don't forget to --copyin them to mock, and then
use --no-clean to do the build.
Comment 4 Yaakov Nemoy 2009-01-21 22:35:28 EST
Let's pick this one up too

SPEC: http://ynemoy.fedorapeople.org/review/ghc-xmonad-contrib.spec
SRPM: http://ynemoy.fedorapeople.org/review/ghc-xmonad-contrib-0.8.1-1.fc11.src.rpm

Only builds in rawhide for now.
Comment 7 Till Maas 2009-03-31 05:59:34 EDT
ghc-X11-xft and ghc-utf8-string seem not to be required by this package, but this review requests depends on their review requests. The review requests are also not in a reviewable state, can they be closed?
Bugs: #426750 #426752
Comment 8 Jens Petersen 2009-05-18 22:27:37 EDT
For impatient users waiting, in the meantime you can install xmonad-contrib in your a/c using "cabal install xmonad-contrib".
Comment 9 Jens Petersen 2009-05-18 23:25:13 EDT
(In reply to comment #7)
> ghc-X11-xft and ghc-utf8-string seem not to be required by this package

Well it is true that you can build xmonad-contrib without them since they are optional build deps,
but various modules do require XMonad.Util.Font for xft support.
Comment 10 Zach Oglesby 2009-06-07 21:34:37 EDT
Here is my spec and srpm's maybe this can help things along.

http://zoglesby.fedorapeople.org/ghc-xmonad-contrib.spec
http://zoglesby.fedorapeople.org/ghc-xmonad-contrib-0.8.1-2.fc11.src.rpm
Comment 12 Jens Petersen 2009-06-20 19:47:59 EDT
Zach, maybe we can let Yaakov have this one. ;-)
I think he would be happy to have you as comaintainer if that works for you.

Yaakov: I assume you meant http://ynemoy.fedorapeople.org/review/ghc-xmonad-contrib-0.8.1-5.fc11.src.rpm
Comment 13 Jens Petersen 2009-06-20 19:50:27 EDT
(In reply to comment #12)
> http://ynemoy.fedorapeople.org/review/ghc-xmonad-contrib-0.8.1-5.fc11.src.rpm  

srpm looks broken (only 4kB) - partial upload?
Comment 14 Yaakov Nemoy 2009-06-21 10:47:57 EDT
Blame Dolphin. This KDE switch hasn't been 100% smooth. I sent it up with SCP this time.

Zach, let's comaintain.
Comment 15 Zach Oglesby 2009-06-22 18:31:13 EDT
Sounds good to me, the only reason I started was your link was dead, and I needed it.
Comment 16 Jens Petersen 2009-08-25 20:16:30 EDT
It is much easier for reviewers if you clearly post the updated spec and srpm urls with each update: the spec file still seems to be from March...
Comment 17 Jens Petersen 2009-08-26 00:32:29 EDT
Created attachment 358666 [details]
ghc-xmonad-contrib.spec-1.patch

clean and fix requires and BRs

http://koji.fedoraproject.org/koji/taskinfo?taskID=1634104

Since ghc-X11-xft is ready maybe we can drop the xft bcond though
Comment 18 Jens Petersen 2009-08-26 00:33:28 EDT
If you update the urls I will try to pick with the review
and hope we have this timely. :)
Comment 19 Jens Petersen 2009-08-26 00:34:36 EDT
ugh, take 2:

If you update the urls I will try to pick up the review
and hope we can finish this timely. :)
Comment 22 Jens Petersen 2009-08-27 12:34:51 EDT
Created attachment 358906 [details]
more -doc deps

I think to be consistent we better have all the doc deps too.
Comment 23 Jens Petersen 2009-08-27 12:36:07 EDT
Erm, and:

+BuildRequires:  ghc-xmonad-doc
Comment 25 Jens Petersen 2009-08-31 06:33:05 EDT
* Thu Aug 27 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-7
- removed bcond since xft will be in fedora soon

Ok, I'll wait for ghc-X11-xft to get into rawhide before completing
this review.
Comment 26 Zach Oglesby 2009-09-11 11:52:04 EDT
ghc-X11-xft is in rawhide now...
Comment 27 Jens Petersen 2009-09-17 21:04:11 EDT
Thanks, Zach

I hope Yaakov is still interested in this
now that he seems hooked on bluetile... ;)
Comment 28 Yaakov Nemoy 2009-09-18 04:54:17 EDT
(In reply to comment #27)
> Thanks, Zach
> 
> I hope Yaakov is still interested in this
> now that he seems hooked on bluetile... ;)  

A) we need this for bluetile too, were i hooked on it

2) I still use xmonad, bluetile is just for newbs, and imo does it right.

D) Can the review go forward please or is there something you all need from me?
Comment 29 Jens Petersen 2009-09-20 05:20:23 EDT
Sure, it's all good - just wanted to clarify your
intentions and think we also did that on irc.
Didn't want to end up with a "dead" package here. :)


Here is the review:

 +:ok, =:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[=] MUST: rpmlint output

Please fix:

ghc-xmonad-contrib.src: W: invalid-license BSD3
ghc-xmonad-contrib.src: W: strange-permission xmonad-contrib-0.8.1.tar.gz 0777
ghc-xmonad-contrib-doc.x86_64: E: description-line-too-long This package contains development documentation files for the ghc-xmonad-contrib library. (need a line break)

Waived:

ghc-xmonad-contrib-prof.x86_64: E: devel-dependency ghc-xmonad-contrib-devel
ghc-xmonad-contrib-prof.x86_64: W: no-documentation
ghc-xmonad-contrib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.3/xmonad-contrib-0.8.1/libHSxmonad-contrib-0.8.1_p.a

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[=] MUST: License field in the package spec file must match actual license.

See above rpmlint

[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

03f74fda270aca759407787da73e50d9  xmonad-contrib-0.8.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.


Please fix the 3 rpmlint issues before importing to CVS.

Package is APPROVED by petersen
Comment 30 Jens Petersen 2009-09-20 05:26:07 EDT
For reference here is the cabal2spec-diff output
(on my copy of a fixed spec file)

--- ghc-xmonad-contrib.spec	2009-09-20 19:01:57.000000000 +1000
+++ ghc-xmonad-contrib.spec.cabal2spec	2009-09-20 19:16:54.000000000 +1000
@@ -8,58 +8,35 @@
 
 Name:           ghc-%{pkg_name}
 Version:        0.8.1
-Release:        8%{?dist}
-Summary:        Third party extensions for xmonad
+Release:        1%{?dist}
+Summary:        Haskell %{pkg_name} library
 
 Group:          Development/Libraries
-License:        BSD
+License:        @LICENSE@
 URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
 Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 # fedora ghc archs:
 ExclusiveArch:  %{ix86} x86_64 ppc alpha
-BuildRequires:  ghc-xmonad-devel = %{version}
-BuildRequires:  ghc-utf8-string-devel
-BuildRequires:  ghc-X11-xft-devel
 BuildRequires:  ghc, ghc-rpm-macros
 %if %{with doc}
 BuildRequires:  ghc-doc
-BuildRequires:  ghc-xmonad-doc
-BuildRequires:  ghc-utf8-string-doc
-BuildRequires:  ghc-X11-xft-doc
 %endif
 %if %{with prof}
 BuildRequires:  ghc-prof
-BuildRequires:  ghc-xmonad-prof = %{version}
-BuildRequires:  ghc-utf8-string-prof
-BuildRequires:  ghc-X11-xft-prof
 %endif
 
 %description
-Haskell %{pkg_name} library for ghc-%{ghc_version}.
-
-Third party tiling algorithms, configurations and scripts to xmonad,
-a tiling window manager for X.
-
-For an introduction to building, configuring and using xmonad
-extensions, see "XMonad.Doc". In particular:
+This package provides the Haskell %{pkg_name} library for ghc.
 
-"XMonad.Doc.Configuring", a guide to configuring xmonad
-
-"XMonad.Doc.Extending", using the contributed extensions library
-
-"XMonad.Doc.Developing", introduction to xmonad internals and writing
-your own extensions.
 
 %package devel
 Summary:        Haskell %{pkg_name} library
 Group:          Development/Libraries
+Provides:       ghc-%{pkg_name} = %{version}-%{release}
 Requires:       ghc = %{ghc_version}
 Requires(post): ghc = %{ghc_version}
 Requires(preun): ghc = %{ghc_version}
-Requires:       ghc-xmonad-devel
-Requires:       ghc-utf8-string-devel
-Requires:       ghc-X11-xft-devel
 
 %description devel
 This package contains the development files for %{name}
@@ -73,13 +50,9 @@
 Requires:       ghc-doc = %{ghc_version}
 Requires(post): ghc-doc = %{ghc_version}
 Requires(postun): ghc-doc = %{ghc_version}
-Requires:       ghc-xmonad-doc
-Requires:       ghc-utf8-string-doc
-Requires:       ghc-X11-xft-doc
 
 %description doc
-This package contains development documentation files for
-the %{name} library.
+This package contains development documentation files for the %{name} library.
 %endif
 
 
@@ -89,9 +62,6 @@
 Group:          Development/Libraries
 Requires:       %{name}-devel = %{version}-%{release}
 Requires:       ghc-prof = %{ghc_version}
-Requires:       ghc-xmonad-prof
-Requires:       ghc-utf8-string-prof
-Requires:       ghc-X11-xft-prof


[BTW I plan to reverse the diff output in the next cabal2spec
since that makes more sense now.]
Comment 31 Yaakov Nemoy 2009-09-22 05:45:43 EDT
New Package CVS Request
=======================
Package Name: ghc-xmonad-contrib
Short Description: Third party extensions for xmonad
Owners: ynemoy petersen bos
Branches: F-11
InitialCC: haskell-sig
Comment 32 Kevin Fenzi 2009-09-22 12:36:03 EDT
cvs done.
Comment 33 Fedora Update System 2009-09-24 18:00:01 EDT
ghc-xmonad-contrib-0.8.1-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-xmonad-contrib-0.8.1-8.fc11
Comment 34 Fedora Update System 2009-09-29 10:38:26 EDT
ghc-xmonad-contrib-0.8.1-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Ben Boeckel 2010-10-07 00:19:19 EDT
New Package CVS Request
=======================
Package Name: ghc-xmonad-contrib
Short Description: Third party extensions for xmonad
Owners: mathstuf petersen bos
Branches: el6
InitialCC: haskell-sig
Comment 36 Kevin Fenzi 2010-10-08 16:25:53 EDT
You mean a package change request here right? 
Not a new package?
Comment 37 Ben Boeckel 2010-10-08 17:34:30 EDT
Package Change Request
=======================
Package Name: ghc-xmonad-contrib
New Branches: el6
Owners: mathstuf petersen bos
InitialCC: haskell-sig
Comment 38 Kevin Fenzi 2010-10-10 00:20:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.